CVE-2003-0018

NameCVE-2003-0018
DescriptionLinux kernel 2.4.10 through 2.4.21-pre4 does not properly handle the O_DIRECT feature, which allows local attackers with write privileges to read portions of previously deleted files, or cause file system corruption.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-358, DSA-423
NVD severitylow (attack range: local)

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kernel-image-2.4.17-ia64sourcewoodykernel-image-2.4.17-ia64lowDSA-423
kernel-image-2.4.18-1-alphasourcewoody2.4.18-10.lowDSA-358
kernel-image-2.4.18-1-i386sourcewoody2.4.18-11lowDSA-358
kernel-image-2.4.18-i386bfsourcewoody2.4.18-5woody4lowDSA-358
kernel-source-2.4.18sourcewoody2.4.18-13lowDSA-358
kernel-source-2.4.27source(unstable)(not affected)
linux-2.6source(unstable)(not affected)

Notes

- linux-2.6 <not-affected> (Fixed before upload into archive; in 2.5.27)
- kernel-source-2.4.27 <not-affected> (Fixed before upload into archive; in 2.4.21)

Search for package or bug name: Reporting problems